LATEST: AppYet v4.0.22 Released (Updated 2021-07-30)!!

appyet

Support Team Member
Staff member
Hello all,

With detail from Google Play, We have released the latest update to fix the App Suspension issue. Please help test it and report back if any issues

4.0.21:
---------------------
- Android: Removed "android.permission.REQUEST_INSTALL_PACKAGES" permission
- Android: Removed Web Module Download feature (Removed com.download.library, which allows Web Module to download files if the link is to a file, it is a common and useful feature, but if it is misused and it is linked to a apk, it could trigger Google Play policy violations, which could result in app suspension)
 

MITS APP WORLD

New Member
@appyet I received this email from Google Support. It can be useful to find the issue.

--------------------------------------------------------------
Thanks for contacting the Google Play team.

During review, we found that your app, PNG News Feeds (mel.mitsapp.png.news.feeds.ky), causes users to download or install apps from unknown sources outside of Google Play, which is not compliant with our Device and Network Abuse policy:

  • An app distributed via Google Play may not modify, replace, or update itself using any method other than Google Play's update mechanism. Likewise, an app may not download executable code (e.g. dex, JAR, .so files) from a source other than Google Play. Please note that you are responsible for all aspects of your app; by using an SDK in your app, you are responsible for how that SDK behaves within your app.
  • Apps and app listings on Google Play must not provide any means to activate or access functionality that violate these terms, such as linking to a non-compliant APK hosted outside Google Play.
You can read through the Device and Network Abuse policy page for more details and examples of common violations.

For example, your app (app version code 59) is using a non-compliant version of Loan Download SDK which contains code to download or install applications from unknown sources outside of Google Play.

If necessary, you can consult your SDK provider(s) for further information.
 

rahul meena

New Member
We push out the 4.0.18 with the latest support libraries was hoping Google Play will stop false detect Load Download SDK.
which AppYet has never used in the current or any previous version of our app template, neither AppYet created apps allow or support "modify, replace, or update itself using any method other than Google Play's update mechanism".

For people who have their app suspended, we are very concern and doing our best to investigate and help. But at this moment, the best you could do is contact Google Play support explain to them this is a false positive, hope they reverse App suspension.

Unfortunately, at this moment, not much AppYet could do to help. We couldn't fix "Load Download SDK", since our app doesn't use it
One of my old app with v4.0.16 not suspended by Google. One year ago I had unpublished this app and yesterday I published this app without update and until now it's not suspended by Google maybe this information useful for study about app suspension.
 

Attachments

  • IMG_20210603_150302.jpg
    IMG_20210603_150302.jpg
    47 KB · Views: 15
  • IMG_20210603_150235.jpg
    IMG_20210603_150235.jpg
    58.7 KB · Views: 15

appyet

Support Team Member
Staff member
All V4 apps have com.download.library to allow web module download file from a web link. which triggers Google Play policy scan.
We strongly recommend everyone to rebuild your app with v4.0.21, test it thoroughly, then update your app with the latest version on Google Play, even for apps that don't have Web Module
 

appyet

Support Team Member
Staff member
For some of you like to know more detail about com.download.library, it is part of AgentWeb library (https://github.com/Justson/AgentWeb), it is a popular Web library used by many apps. It seems Google Play Policy scan doesn't look at details about how this library is used (eg. Allow user to download PDF file in web module), but it simply flags an app as a policy violation whenever this library is used.

Sadly, because of it we have to remove the download feature for the Web Module
 
Top